What's New in Version 7.1?
=========================
***Please enable word wrap when viewing this document***

Only the most significant feature changes are listed under this file.


NoteTab v7.1 (released: 18 October 2012)
------------
* Updated Bootstrap library to version 2.1.1.

* When using Close All Documents, the confirmation prompt is now only displayed if you have more than five documents open.

* Fixed occasional failure to scroll last line into view.

* Fixed an issue with synchronizing the search-type option in Find and Replace dialogs after using the Search Disk feature.

* Fixed UTF-8 character issues in Utilities.clb library.

* Fixed syntax highlighting issues that affected some XML files.

* Fixed a display issue that occasionally occurred with the View|Line Numbers feature.

* Using Calculate Expression on a selected column of numbers no longer replaces the selection. The value is now displayed in a dialog.

* Calculate Expression now analyses the expression to determine how to format digit grouping and how many decimals should be used in the answer. Examples:
3000 + 6000 = 9000
3,000 + 6,000 = 9,000
3000 + 7000 = 10,000
3,000.00 + 6,000.00 = 9000
3,000.01 + 6,000.00 = 9,000.01
300000 + 600000 = 900000

* Calculate Expression and ^$Calc now try to determine the decimal and digit grouping symbols from the expression. They will use the Windows default symbols if they can’t resolve the symbols. As a result, Calculate Expression and ^$Calc now work even when symbols don’t match your Windows defaults. Examples:
23,456.78 / 2 = 11,728.39
23.456,78 / 2 = 11.728,39
23'456,78 / 2 = 11'728,39
0,999 + 1 = 1,999
Symbols can’t be determined in the following expressions so NoteTab uses the Windows defaults to resolve them in this case:
123,456-1=
123.456-1=

* Calculate Expression and ^$Calc: with numbers under 10000, a digit grouping symbol is only inserted if it has a decimal symbol or if the source expression uses digit grouping on such numbers.

* Fixed an error in formatting digit grouping in negative numbers when using Calculate Expression and ^$Calc.

* ^$Calc no longer accepts defining invalid decimal and digit grouping symbols. Invalid symbols are ignored. If no decimal and digit grouping symbols are defined, NoteTab will try to determine them from the expression or use the Windows default symbols.

* ^$GetDateFromInt now supports numbers with digit grouping symbols.

* ^$IsNumber now supports an optional parameter to specify decimal and digit grouping symbols:
  ^$IsNumber(Value[;Decimal and digit grouping symbol])$
If you leave out the symbols parameter, NoteTab accepts valid numbers using regional number symbols from your Windows settings as well as other regions. Any symbols you specify must match those that appear in the number. Examples:
  ^$IsNumber(12,345.67)$ -> 1
  ^$IsNumber(12,345.67;".,")$ -> 1
  ^$IsNumber(12,345.67;".")$ -> 0
  ^$IsNumber(12345.67;".")$ -> 1
  ^$IsNumber(12,345.67;",.")$ -> 0
  ^$IsNumber(12.345,67;",.")$ -> 1
  ^$IsNumber(12,345.67;"")$ -> 0

* ^!If now correctly handles numbers with digit grouping symbols as well as real numbers (with decimals).

* ^$GetCrcFile and ^$GetCrcText now use the more common CRC32-CCITT algorithm to produce the CRC32 signature value.

* Several other minor issues fixed.


NoteTab v7.01 (released: 16 August 2012)
-------------
* You no longer need to use the /usb switch when running NoteTab from a USB flash drive (memory stick) under Windows XP or more recent.

* Improved handling of Favorites feature when NoteTab is run from a USB flash drive.

* Updated the regular expressions engine to the latest version.

* Improved “Calculate Expression” feature. Works without first selecting expression when line contains other text. Simply place cursor at the end of the expression and press Ctrl+E to calculate the result. You can also do chained expressions 1+2=3 +3=6 +4=10. If the expression doesn’t end with an “=” sign, then NoteTab replaces the expression with its result.

* The “Calculate Expression” feature and ^$Calc Clip function now assume the decimal and digit grouping symbols used in an expression correspond to the Windows region settings.

* Improved smart quotes feature. Select text wrapped with straight quotes and NoteTab will replace them with smart quotes on pressing the Ctrl+, keys.

* Improved the Match Brackets feature. Now also works with double quotes (smart and straight) and straight single quotes. When searching for "straight double and single quotes", place the cursor in the text between them.

* Added minor improvements to several Clip libraries and templates.

* Improved Clip error reporting when caused by a regular expression pattern error.

* Fixed issue with Wildcards setting that caused search dialog box to error in some situations when the search text was left blank.

* Fixed ^!Find and ^!Replace Clip commands so that they no longer change the settings of the standard search dialog boxes.

* Fixed incorrect results returned by ^$StrPos, ^$StrPosRight and ^$StrPosMid.

* Fixed incorrect results returned by ^$ExpandEnv when used with NoteTab tokens.


Clip-code Additions
...................
* Added optional parameter to ^$Calc function to specify decimal and digit grouping symbols to override the default Windows settings. The first character is for the decimal symbol and the second for the digit grouping:
  ^$Calc(Expression;Decimal and digit grouping symbol)$
or
  ^$Calc(Expression;Decimals;Decimal and digit grouping symbol)$
If only the decimal symbol is specified, then no digit grouping symbol will be used in the result. Use letter "E" instead of a digit grouping symbol to always use a scientific notation in results.Examples:
  ^$Calc(123.456*100;2;".,")$ -> 12,345.60
  ^$Calc(123,456*100;2;",.")$ -> 12.345,60
  ^$Calc(123,456*100;2;".,")$ -> 12,345,600.00
  ^$Calc(123.456*100;2;".")$ -> 12345.60
  ^$Calc(123.456*100;2;".E")$ -> 1.235E+04

* Added pre-defined variables with the decimal and digit grouping symbols defined in Windows:
^%DECIMAL_SYMB%
^%THOUSAND_SYMB%


NoteTab v7.0 (released: 04 July 2012)
------------
* Under Windows 32-bit with the /3GB option and Windows x64, NoteTab can now allocate resources past the 2GB address limit when needed (up to 4 GB).

* NoteTab Pro: Added syntax highlighting for CSS files and improved HTML syntax highlighting with documents that contain PHP, ASP, and Javascript code.

* Improved the Strip HTML Tags feature with better handling of documents that contain PHP, ASP, and Javascript code.

* Added real-time word count feature, with a choice between two counting methods. The feature is controlled through the View|Word Count submenu and the word count is displayed in the status bar next to the Ins/Ovr info panel. Word-count is based either on selected text or the whole document (or topic with Outlines). This feature is not available in NoteTab Light (unless you enable trial mode).

The MS Word method returns a count that should be a close match to the word-count result in Microsoft Word. The NoteTab method is more sophisticated and counts words using a more extensive set of word delimiters. MS Word mostly counts words delimited by space characters. In the following examples, MS Word counts one word per line whereas NoteTab counts three words in each:
  info@fookes.com
  http://fookes.com/
  help-me-please
  2x10x250

* When the real-time word-count feature is enabled, you can click on the corresponding panel in the status bar to see more detailed text statistics. This information is also displayed after you select a certain amount of text. You will see the word count based on the NoteTab method, the average number of characters per word, the number of sentences, and the average number of words per sentence. This information is particularly valuable to copywriters, bloggers and journalists.

* In NoteTab Pro and Std, the Tools | Text Statistics feature is now based on the new NoteTab word-count method.

* When the Text Statistics feature is used on an HTML file, NoteTab only counts visible page text (tags, CSS, scripts and commented blocks are ignored). Hold down the Shift key when selecting this menu command if you want to also count words in HTML tags and comments.

* Simply select one character in the current document to see its decimal and hexadecimal value in the status bar.

* New keyboard shortcuts to easily insert typographic characters:
Ctrl+.  inserts the ellipsis character …
Ctrl+-  inserts the n-dash character –
Ctrl+,  inserts “smart quotes” around selected text or a proper apostrophe ’

* You can now remove history items from drop-down lists in the Find and Replace dialog boxes. To remove an undesired item from the history list, first select it, close the drop-down list and then press the Shift + Delete keys. Or right-click in the field to open the popup menu and choose "Delete from List"; you can also delete the whole history by choosing "Clear History".

* The Find and Replace dialog boxes now show search results in a balloon (unless you are using Blind-User mode) instead of a message box. This speeds up you work as you no longer need to click on the message box OK button to close it.

* Added support for wildcard searching in find/replace tools. This feature is not available in NoteTab Light (unless you enable trial mode).

The following tokens are provided:
  * = matches 0 or more word characters. Example: "jo*" matches "JO", "John", "Jody", "joint", "join_leave".
  # = matches 0 or more word characters, including HTML entity characters. Example: "na#" matches "naïve", "na&iuml;ve", and "na&#239;ve".
 ** = matches 0 or more characters and can span across words within a line. Example: "click**link" matches "click link", "click on link", "clicking on link", "Click on this link", but not "click on links".
  ? = matches exactly one word character. Example: "jo?" matches "Job" and "jot", but not "JO", "John", "Jody", and "joint".
  ~ = matches 0 or one word characters. Example: "jo~" matches "JO", "Job", and "jot", but not "John", "Jody", and "joint".
  & = matches exactly one word character or one HTML entity. Example: "caf&" matches "café", "caf&eacute;", and "caf&#233;".
Word characters include alphanumeric characters, all extended ANSI characters, as well as "_".

To search with wildcard tokens, select the Wildcards option in the Search drop-down list. Choose Standard for literal searching and "Regular Exp." for searching with regular expressions.

* Find and Replace dialog boxes: you can use keyboard shortcuts to change option in the Search drop-down lists. Simply press CTRL+ALT+{first letter of option name}. Example: CTRL+ALT+A sets the All option and CTRL+ALT+W sets the Wildcards option.

* Added new Bootstrap library, Clipbar and templates. Bootstrap, from Twitter, is a fantastic collection of CSS and HTML for rapidly developing professional-looking web sites. For more information, visit the official Bootstrap website through this link:
http://www.notetab.com/redir/Bootstrap

* Added new HTML-CSS and HTML-AutoReplace libraries and Clipbar, which include support for HTML5 and CSS3. They replace the following outdated files (note that these are not uninstalled by NoteTab):
HTML.clb
HTML-ar.clb
CSS1.clb
HTML-1.ctb
HTML-2.ctb
CSS1.ctb

* Added two new web page templates (Web page.tpl and Web page HTML5.tpl) to replace the following outdated files (note that these are not uninstalled by NoteTab):
HTML.tpl
CSS1.tpl

* Updated the regular expressions engine to the latest release, which is based on PCRE 8.31.

* A confirmation dialog box is now displayed when the Close All menu command is used.

* You can now use CTRL+ALT+V to paste Clipboard data in HTML format (if available).

* The "Search Disk.fvr" Favorites file created after a Search Disk operation now removes the maximum limit of 65 files.

* Added new program icon and splash screen. Note that you can still revert back to the old icon through the Options dialog box.

* Program file is now code signed to reduce the risk of anti-virus false positives.

* Fixed printing issue whereby last page or pages failed to print.

* Fixed issue with "Save Directory" setting being ignored under the "Use Default Directories" option.

* Fixed issue with "Disk Files" option in "Quick List" when "Show Full Names" option is turned off.

* Fixed issue when pasting text with non-Windows line breaks into NoteTab Pro.

* Partially fixed issue with disappearing Clip wizard labels under Windows 7 (though the problem does reappear if you hit the Alt key).

* Fixed issue when comparing negative integer values in Clips.

* Fixed issue in ^$GetDate(Date Mask;+/-days)$ function when using the "+/-days" parameter.

* Fixed issue in ^$GetDateToInt[(Date;DateFilter)]$ function that failed when date filter did not exactly match date pattern. Example: ^$GetDateToInt(2012-3-27;yyyy-m-d)$

* Fixed issue with ^$GetDocumentPath$ and the %NtbDocuments% token failing to use the user-defined default directories.

* Fixed errors in the CRC32 algorithm used in the ^$GetCrcFile("Filename")$ and ^$GetCrcText("Text")$ Clip functions.

* Fixed errors in the Clip Assistant.

* Fixed issue in the Modify|Block|Cut feature that failed to work if only the last character column was selected.

* Many other minor improvements and issues fixed.

* Updated documentation.


Clip-code Additions
...................
* NoteTab Pro and Std:  Added two new Clip functions. 1) to count the number of words in a string:
^$StrWordCount("Str"[;Method])$
  Method = MsWord or NoteTab
2) to extract a word list (with duplicates removed).
^$StrWordList("Str")$

* Updated Clip functions to support regular expressions and wildcards:
^$StrCount("SubStr";"Str";Options)$
^$StrPos("SubStr";"Str";Options)$
^$StrReplace("SubStr";"ReplaceStr";"Str";Options)$

Options:
C: Searches for whole words only.
I: Ignores character case.
R: Specifies that the search criteria represents a regular expression.
*: Specifies that the search criteria uses wildcards. In NoteTab Light, this option is only recognized during trial mode.
A: Use to replace all matched occurrences with ^$StrReplace. When this option is not used, only the first match is replaced.

Note that the old format for these Clip functions is still valid.

* The ^!Find and ^!Replace Clip commands also support wildcard searching. Use "*" as an option parameter. The following example searches for words that end in "tab":
^!FIND "*tab" C*

* Added Clip command to delete the current selection:
^!DeleteSelection

* Added two Clip functions to calculate a hash signature of specified data using the SHA-1 algorithm. SHA-1 was designed by the United States National Security Agency.
^$GetSHA1File("Filename")$
Returns the SHA-1 signature of the specified file. The result is produced in hexadecimal format. Example:
^$GetSHA1File("^$GetAppFileName$")$

^$GetSHA1Text("Text")$
Returns the SHA-1 signature of the specified text. The result is produced in hexadecimal format. Example:
^$GetSHA1Text("^$GetText$")$

* Added Clips to control which type of data is pasted in a document (plain text or HTML if available):
^!SetPasteHtml [TRUE|FALSE]
When set to True and the Clipboard has data in HTML format, pasting its contents into a document inserts HTML code instead of plain text.

^$GetPasteHtml$
Returns 1 if the "Paste Html" option is set and 0 if it is not.



NoteTab v6.2 (released: 25 January 2010)
------------
* Updated the regular expressions engine to the latest release, which is based on PCRE 8.01 (Perl 5.10).

* Now uses the Windows user-interface default font instead of MS Sans Serif.

* Fixed an issue when saving Web pages that have a mismatch between their charset declaration (Unicode) and the actual file format (not Unicode).



NoteTab v6.12 (released: 16 June 2009)
-------------
* Added optional code page token support in template headers. The code page value is placed between parentheses and is preceded by the letters CP. The code page value should be one of the numeric values listed here: http://www.notetab.com/redir/codepage. This example creates a new UTF-8 document:
= DocTemplate CP(65001)

* Added three templates that you can use to easily create new Unicode documents.

* Included sample plain text and HTML files containing text based on a variety of character sets (Arabic, Chinese, Cyrillic, Greek, Hebrew, etc.) These files are stored in the Samples subfolder under the NoteTab program folder.

* Added "Open Sample File" in SampleCode library. Use this Clip to open a plain text or HTML file containing text based on a non-Western character set (Arabic, Chinese, Cyrillic, Greek, Hebrew, etc.) The purpose of these files is to demonstrate how NoteTab 6 handles text based on different Windows code pages.

* Fixed the "Text Case" commands, which sometimes converted extended characters based on non-system code pages incorrectly. Note that the "Invert Case", Capitalize, and Sentence commands do not correctly handle double-byte characters (DBCS) and so should only be used on parts of text with Latin-based characters.

* Fixed the "Document to HTML" and "Characters to HTML" commands, which previously assumed source text was always based on the Western ANSI character set. This sometimes resulted in invalid HTML entities when processing text based on other code pages.

* Fixed "String list does not allow duplicates" error that could sometimes occur when opening Unicode and UTF-8 documents.

* Fixed a rare issue that caused NoteTab to misidentify certain ANSI documents as Unicode.

* Fixed ^$GetFileText(FileName)$ Clip function, which failed to check the file format prior to loading text. Now correctly handles Unicode and UTF-8 files.

* Updated Help.



NoteTab v6.1 (released: 28 May 2009)
------------
* Added the Code Page submenu to the Tab-bar shortcut menu. This feature lets you reload a document using a different code page. Useful in cases when NoteTab doesn't automatically select the most appropriate code page.

* When opening files, NoteTab can now automatically detect the most appropriate code page to display Unicode and UTF-8 documents.

* When saving Web files (those listed in Options), NoteTab automatically uses the appropriate encoding based on the defined charset value.

* Improved Search Disk feature. It now correctly handles Unicode and UTF-8 files, as well as files with non-Windows line breaks. During find/replace operations, the searched file is loaded into memory and temporarily converted to ANSI with Windows line breaks (CRLF). If a replace operation has modified the data, NoteTab converts it back to its original format before saving it to disk.

* Updated Export dialog box with UTF-8 and Unicode options.

* Added new "Format-Search Limit" setting on Advanced tab in Options dialog box. See Help for details.

* Included a new Clip-based Clip writing aid, "Clipcode Syntax" (courtesy Sheri Pierce). See the Clip Help file for details.

* The "UTF-8 (no conversion)" code page option has been fixed and a new "System Code Page" option added in the File Open dialog box.

* Fixed some issues with double-byte text and the rich-edit controls.

* Fixed an issue in NoteTab Light and Std, which affected the reliability of the Replace All feature under certain circumstances.

* Updated Help, documentation, and data files.

* Some other minor improvements and issues fixed.


Clip-code Additions
...................
^$GetCodePage$
Returns the default Windows ANSI Code page.

^$GetDocCodePage$
Returns the Code page of the active document.

^$GetDocCodePage(Index)$
Returns the Code page of the specified document.



NoteTab v6.0 (released: 04 May 2009)
------------
* Improved support for Unicode and UTF-8 files, as well as documents based on alternative character code pages. Support for these new features appear in the File Open/Save dialog boxes as well as in Clip commands. Note that NoteTab is not a Unicode editor; characters that cannot be converted to the chosen ANSI code page are lost. Note also that Windows may substitute the document font with another that offers the appropriate character script. In NoteTab Pro this could result in a fixed-width font getting replaced with a variable-width font; when this happens, you may experience inconsistencies when selecting and editing text.

* When you open a Web document without specifying a code page, NoteTab will search the file for a charset, encoding, or lang attribute value. If such a value is found and recognized, NoteTab will attempt to adjust the font to the appropriate font script in order to display the text faithfully.

* The read-only document protection is now only set after opening a UTF-8 or Unicode file containing characters that failed to convert to ANSI.

* NoteTab Pro: significantly improved handling of Double-Byte text (DBCS).

* Updated the regular expressions engine to the latest release, which is based on PCRE 7.9.

* By default, unselected document tabs now use a less dark color.

* Fixed failure to set read-only protection when opening UTF-8 Web files lacking BOM signature.

* NoteTab Pro: fixed minor alignment issue in column ruler when line ruler is turned off.

* Updated the SampleCode Clip library with two new commands for opening and saving documents. The Open Document command lets you specify a code page and the Save Document command lets you specify an ANSI, UTF-8, or Unicode encoding. You will find additional code page values listed on the following Web page:
http://www.notetab.com/redir/codepage

* Some other minor improvements and issues fixed.


Clip-code Additions and Improvements
....................................
* New Clip language options added to support alternative code pages as well as saving to UTF-8 and Unicode encodings:

^!Open "FileName" [/R] [/J=nnn] [/C=CodePage]
CodePage should be one of the numeric values listed on this page:
http://www.notetab.com/redir/codepage

^!SaveAnsi FileName
^!SaveUtf8 FileName
^!SaveUnicode FileName

^!Export "FileName" [ASCII|ANSI|UTF-8|UNICODE][MAC|UNIX][SELECTION|ALL][HARDBREAKS]
Added the UTF-8 and UNICODE encoding options.

^$GetLong(ShortFileName)$
Converts a DOS short filename to a Windows long name.



NoteTab v5.8 (released: 28 March 2009)
------------
* Updated the regular expressions engine to the latest release, which is based on PCRE 7.8.

* Added the /Close and /Exit command-line switches. Use either one to close a running instance of NoteTab.

* Fixed an issue that under specific conditions when searching through all open documents can cause an Outline document to lose all its topics except the current one.

* Fixed a display issue when minimizing/restoring NoteTab while the Find or Replace dialog is open.

* Fixed issues with the "Go to Hyperlink" feature.

* Fixed an issue with the ^$GetReSubStrings$ function, which failed to return a captured substring when only one subpattern was defined in the search criteria.

* Some other minor improvements and issues fixed.



NoteTab v5.7b (released: 31 July 2008)
-------------
* The /Temp command-line switch value is now automatically stored in NoteTab's INI file. As a result, you only need to use the switch again to change the last saved value or when the INI file has been reset. Use a blank value to use the default Windows temp folder (e.g., /temp="").

* Fixed an issue with search hyperlinks, like when Ctrl+Double-clicking in [ NoteTab ], that appeared in version 5.7.

* Fixed loss of icon from file types associated with NoteTab Light.



NoteTab v5.7 (released: 15 July 2008)
------------
* Updated the regular expressions engine to the latest release, which is based on PCRE 7.7.

* Improved the Strip HTML Tags feature. Now correctly processes unordered lists, ordered lists, and definition lists. Also improved processing speed.

* Added the Outline Tutorial shortcut under the Help menu to easily open the Readme.otl document.

* Added support for a new type of "text" hyperlink. You can now open files in their associated application by using an exclamation character (!) at the start of the hyperlink text. The following example will open the GIF file in your associated image viewer: [!Samples\notetab.gif]. See the [Readme.otl::Hyperlinks] topic for more details (tip: to open the document, hold down the Ctrl key while you double-click on the text between the square brackets).

* Opening a shortcut file (.lnk) in NoteTab now always opens its target file.

* Added support for folder and file name tokens. These tokens represent either fully qualified folder names or system variables. See "Folder and File Name Tokens" topic in Help for more details on this feature. 

* Improved the /usb switch option. You now only need to use this command the first time you run NoteTab off a USB drive. NoteTab will store the option in its INI file on the USB drive. To cancel the option, run NoteTab with the /usb=false command-line switch.

* Added keyboard shortcuts to combo-box and edit-box controls in dialogs: Ctrl+Z = undo; Ctrl+Backspace = delete word before cursor; Ctrl+Delete = delete from cursor till end of word.

* NoteTab Pro: added Ctrl+Shift+Up/Down keyboard shortcut to extend selection range a paragraph at a time.

* Fixed several issues affecting certain complex regular expression operations.

* Fixed issue with AutoReplace feature failing to work when an Outline document is open.

* Fixed issue when using keyboard shortcuts to open context menus.

* Fixed several accessibility issues. Added configuration file for Window-Eyes, JAWS for Windows, and Dolphin Hal; these are stored in the Accessibility subfolder. Use the following command-line switch to install them in the appropriate folders:
NoteTab.exe /acc=install
or
NotePro.exe /acc=install

* The Voluntary Product Accessibility Template (VPAT), which describes how NoteTab conforms to Section 508 of the Rehabilitation Act, is available from the following Web page:
http://www.notetab.com/vpat.php

* Freeware and Trial versions of NoteTab are now protected with a different third-party product, which should significantly reduce compatibility issues.

* Updated the spell-checker help file to the HTML Help format. Previous WinHelp format does not work on Windows Vista without installing extra support files.

* Added new print shortcuts to the Utilities library and Clipbar.

* Fixed issues with printer margins and word wrap settings that were not always correctly rendered in print output.

* Some other minor improvements and issues fixed.

* Updated references to Fookes Software to reflect the new legal form of business company. Fookes Software is now a Limited (Ltd) company, which is owned by Fookes Holding Ltd.


Clip-code Additions and Improvements
....................................
* Added new option "O" to ^!Find and ^!Replace Clip commands. Use it to only search in current outline topic. This option is ignored if the Global scope option "G" is also set.

* Added ^!SetWizardWidth Clip command. Use it to control the width of the Clip wizard. The argument represents a width percentage value and can be between 20 and 500. This command must precede the first Clip field. The following example creates a Clip wizard with twice the regular width:
^!SetWizardWidth 200

* Added ^$IsAppOnUSB$ Clip function. Returns True if NoteTab is running with the USB option (see related /USB command-line switch).

* Updated the ^$GetDate Clip function. Now supports a second optional argument that can be used to add or remove days from the current date:
^$GetDate(DateFilter[;+/-days])$

* Added ^$GetActiveLibraryName$ and ^$GetActiveLibraryFileName$ Clip functions. These are similar to ^$GetLibraryName$ and ^$GetLibraryFileName$, but return an empty string if the Clipbook panel is closed.

* Added ^$IsAutoReplace$. Returns 1 if the Clipbook library is open in AutoReplace mode, or 0 if it is not.

* Added ^!SetAutoReplace ON/OFF
Changes AutoReplace mode accordingly if the Clipbook library is open.

* Updated ^!MakeShortcut command to add support for optional "start in" folder and icon arguments:
^!MakeShortcut ShortcutLocation "Target" ["Arguments"] ["Description"] [CmdShow] ["StartInFolder"] [IconIndex]
^!MakeShortcut ShortcutLocation "Target" ["Arguments"] ["Description"] [CmdShow] ["StartInFolder"] ["IconFile"]
^!MakeShortcut ShortcutLocation "Target" ["Arguments"] ["Description"] [CmdShow] ["StartInFolder"] ["IconFile::IconIndex"]

"IconFile" sets the file (path and name) containing the icon. If this argument is not specified, the value is set to "Target" if it represents an icon resource.
IconIndex sets the index of the icon within "IconFile". The first icon has an index value of 0.

* Improved ^$GetRegValue, which can now also read integer values from the registry.

* Added new Clip functions for regular expression tasks:

^$GetDocListAll("SearchPattern";"OutputPattern")$
Finds all matching strings in the current document (or selected text) based on the SearchPattern regexp pattern. The function returns a string with each match formatted according to the ReplaceString. Example that collects and displays all URLs in a Web page:
^!Info [L]^$GetDocListAll("(?s)<a.+?href\s*?=\s*?"(.*?)"";"$1\r\n")$

^$GetDocReplaceAll("SearchPattern";"ReplacePattern")$
Replaces all text in the current document (or selected text) matching the SearchPattern regexp pattern with the text specified by ReplacePattern. Example that replaces all h2 tags to h3:
^!Info [L]^$GetDocReplaceAll("<h2>(.*)</h2>";"<h3>$1</h3>")$

* Added new Clip commands for printing text:

^!PrintDialog AnyText
Displays the Print dialog box so that you can select a printer and modify certain options before starting the print job based on the AnyText argument. If you leave out the argument or AnyText is empty, then the current document text will be printed.

^!PrintPreview AnyText
Sends the text from the AnyText argument to the Print Preview window. You can then decide whether to start the print job or cancel the procedure. If you leave out the argument or AnyText is empty, then the current document text will be printed. The following example shows selected text in the preview window:
^!PrintPreview ^$GetSelection$

^!PrintText AnyText
Sends the text from the AnyText argument directly to printer using current default settings. The Print dialog box is not displayed. If you leave out the argument or AnyText is empty, then the current document text will be printed.

* Added new Clip functions for handling dates:

^$GetDateFromInt(DateInteger;DateFilter)$
Converts a date integer value to the format defined by DateFilter. This date integer value represents the number of days that have passed since 12/30/1899. See related ^$GetDateToInt function below. Example:
^$GetDateFromInt(39625;mm/dd/yyyy)$ -> 06/26/2008

^$GetDateToInt[(Date;DateFilter)]$
Converts a date matching the DateFilter format to an integer value. If you do not specify any arguments, then the current date is returned. This value represents the number of days that have passed since 12/30/1899. This format is useful if you want to store the date in a universal way, and which can also be manipulated in calculations. Examples:
^$GetDateToInt$ -> 39625 (assuming the current date is June 26, 2008)
^$GetDateToInt(11/06/2008;dd/mm/yyyy)$ -> 39610

^$GetDay$
Returns the day of the week. 1 for Monday, 2 for Tuesday, etc.

* Added new Clip commands and functions for processing Outline documents:

^!CreateOutline FileName
Creates a new Outline file and saves it with a filename based on the command argument.

^!TopicAdd "TopicName" AnyText
Adds a topic to the active Outline document. The topic name is taken from the TopicName argument and text specified by the AnyText argument is stored in the topic.

^!TopicDelete TopicIndex
^!TopicDelete TopicName
Deletes the specified topic from the active Outline document. You can either specify the topic name or its position in the list – 1 being the first topic.

^!TopicMove TopicToMove TargetPosition
Moves a topic to the specified position. The TopicToMove and TargetPosition arguments can either represent a topic name (surround with double quotes if name contains spaces) or its position in the list – 1 being the first topic. Examples:
^!TopicMove "Topic Name #3" "Topic Name #7"
^!TopicMove 3 7

^!TopicReplace "TopicName" AnyText
^!TopicReplace TopicIndex AnyText
Replaces data in the specified topic from the active Outline document with text specified by the AnyText argument. You can either specify the topic name (surround with double quotes if name contains spaces) or its position in the list – 1 being the first topic.

^!TopicShow "TopicName"
^!TopicShow TopicIndex
Displays the specified topic in the active Outline document. You can either specify the topic name or its position in the list – 1 being the first topic.

^$GetTopicHeading(TopicIndex)$
Returns the topic name at the specified position in the active Outline document – 1 being the first topic.

^$GetTopicText(TopicIndex)$
^$GetTopicText(TopicName)$
Returns the text from the corresponding topic in the active Outline document. You can either specify the topic name or its position in the list – 1 being the first topic.



NoteTab v5.61 (released: 05 February 2008)
-------------
* Updated the regular expressions engine to the latest release, which is based on PCRE 7.6.

* The PCRE regular expressions engine now defaults to the ANYCRLF option.



NoteTab v5.6 (released: 24 January 2008)
------------
* Setup no longer requires administrative or "power user" privileges under Windows NT/2000/XP/2003/Vista.

* Added option in Clipbook shortcut menu to Restore Default Library.

* Paste-Board feature now resets NoteTab in Windows Clipboard chain when set. Useful when a misbehaved application breaks the chain.

* Updated the regular expressions engine to the latest release, which is based on PCRE 7.5.

* Added /TEMP command-line switch. By default, NoteTab stores temporary files in the Windows Temp folder under the logon user folder. If the /USB switch is used, temporary files are now stored on the USB drive in the Temp folder. If the /USER switch is used, temporary files are now stored in the Temp subfolder of the specified folder. Use this switch to specify an alternative location for storing temporary files. The folder name can include system variables; example:
NoteTab.exe /temp=%AllUsersProfile%\NoteTab\Temp

* To avoid import/export issues with the main NoteTab distribution packages, encryption features are only available after you install the ntb_enc.dll file. You can download the DLL from here:
http://www.notetab.com/ntb_enc.php

* Fixed issue causing incompatibility under Windows 95 and NT4. A new "NoteTab Window 95 and NT4 Compatibility Pack" is available for download from here:
http://www.notetab.com/ftp/Win95-NT4.zip

* Fixed issue with backup creation during search-disk replace operations.

* Fixed slow startup issue when NoteTab's Reopen list contains inaccessible files.

* Several other minor improvements and bug fixes.

* Updated EULA and documentation, including Glossary.otl.



NoteTab v5.5 (released: 04 October 2007)
------------
* Updated the regular expressions engine to the latest release, which is based on PCRE 7.4. The \R newline sequence now matches either CRLF, or a lone CR, or a lone LF.

* Changed method on Windows XP and Vista to determine default location of folder for user settings. Fixes issues on some systems that have corrupted registry keys.

* Restored the MS-Office Sounds setting in the Options dialog box (View tab). This option is only available if you have installed the sounds on your system. Download details here:
http://www.notetab.com/os.html

* Fixed a minor display issue on Windows Vista that caused toolbar button delimiters to draw incorrectly.

* Fixed an issue on Windows Vista that caused some buttons and checkboxes in dialogs to disappear when pressing the "Alt Gr" button (special button available on some keyboards for accessing a third character on a key).

* Fixed a text-flicker issue in NoteTab Pro when it is run on slower computers.

* Fixed issue with incorrect total page count sometimes printed in Page Preview.

* Fixed issue with Partial Loading option failing to work.

* Fixed a weakness in the Clip parser.

* Added new Clip command:
^!IfFileUnicode "FileName" GoToLabelTrue [ELSE GoToLabelFalse]
Jumps to specified label if FileName is a Unicode text file or UTF-8 Web page.

* Updated documentation.



NoteTab v5.4 (released: 06 September 2007)
------------
* NoteTab Light now available as a version 5 release.

* Updated the regular expressions engine to the latest release, which is based on PCRE 7.3. See the following document for a list of improvements:
http://www.pcre.org/changelog.txt

* Added several new Clip syntax elements:

^!IfEmpty "Value" GoToLabelTrue [ELSE GoToLabelFalse]
If Value represents an empty variable or string, then jumps to specified label name. It is recommended to enclose Value between double quotes.

^$GetParaCol$
Returns cursor column position within paragraph in current document.

^$GetParaRow$
Returns paragraph row index of cursor in current document.

^$GetUserRegRoot$
If you are running a non-NT version of Windows (Win95/98/ME), this function returns a value of HKEY_LOCAL_MACHINE, otherwise it returns HKEY_CURRENT_USER. This function can be useful to ensure compatibility with certain registry operations under different versions of Windows. See usage examples under the "NoteTab Shortcuts" section of the Utilities library.

^$GetWinPlatform$
Returns the Windows platform type under which NoteTab is running. Possible values are one of the following: Win32_Win, Win32_NT, Unknown. If you're running Win95/98/ME the returned value is Win32_Win, and Win2000/2003/XP/Vista/Longhorn produces Win32_NT. This function is useful to ensure compatibility with operations that need to run differently on each Windows platform.

* Several minor improvements and bug fixes.

* Updated documentation.


NoteTab v5.3 (released: 06 July 2007)
------------
* Improved "Replace Notepad" feature under Windows 2000, 2003, and XP. Feature not available under Windows Vista.
* File Associations set through NoteTab now work under Windows XP with a user "Limited Account" and under Windows Vista. 
* Added /RESETWND command-line switch, which resets the NoteTab window position and size at startup. This switch is useful if the NoteTab window does not show up when you start the program.
* Fixed issue with some system dialogs opening offscreen on multi-monitor systems.
* Fixed issue with Clip-wizard labels not appearing under Windows Vista.
* Fixed issue with header/footer text not always appearing when printing documents.
* Fixed issue causing a long delay when opening a file from a shared drive (e.g. \\Vista-central\public\file.txt).
* Fixed sorting issue with ^$GetFileFirst$ Clip function.
* Fixed Vista compatibility issue with ^!Keyboard Clip command.
* Updated the regular expressions engine to the latest release, which is based on PCRE 7.2. See the following document for a list of improvements:
http://www.pcre.org/changelog.txt
* Updated the print engine to the latest release.
* Added ^$GetWinVersion$ function to return the version of Windows that is running NoteTab. Possible values are: Win95, Win98, WinME, NT4, WinXP, Win2000, Win2003, Vista, Longhorn, Unknown.
* Improved ^!SetDebug Clip command. Now has the capability of storing debug information in a log file. Simply specify a filename as the parameter. If no pathname is specified, the log file is saved under the "Application Data\NoteTab\Libraries" folder. Example:
  ^!SetDebug Log.txt
* Many other minor improvements and bug fixes.

NoteTab v5.2 (released: 31 March 2007)
------------
* Updated the regexp engine to PCRE version 7.
* Added /usb command-line switch. Use it when you want to run NoteTab from a USB key.
* Fixed misplaced warning and information dialog boxes when running NoteTab under multiple monitors.
* Fixed several issues with ^$GetDocMatchAll Clip function.
* NoteTab Std: fixed issues with ^$GetParagraph$ Clip function.
* Many other minor improvements and bug fixes.
* Updated documentation.

NoteTab v5.1 (released: 30 August 2006)
------------
* Added token for Header/Footer line separator on printed pages.
* Added "Close All Other" command to tab shortcut menu.
* Added method to print only selected text.
* Fixed slow loading of Clipbars.
* Fixed issue with modal dialogs sometimes ending up behind main NoteTab window.
* Euro Clipbook included with NoteTab again.
* Several other glitches fixed and improvements (listed under next topic).
* Updated Help files.

NoteTab v5.0 (released: 26 July 2006)
------------
* Full support for multi-user and network environments.
* Can be run reliably from a user "Limited Account".
* Improved user-interface appearance under Windows XP.
* Added new print engine with Print Preview tool.
* NoteTab Pro breaks line lengths limit.
* Improved Undo feature in NoteTab Pro.
* Improved opening files through the Windows Shell and Send To feature.
* Powerful new regexp engine based on PCRE (Perl 5 compatible).
* Clip-code additions and improvements.
* Added support for IntelliComplete Server (www.flashpeak.com).
* Fixed issue opening HTML documents in Firefox.
* Many other minor improvements and bug fixes.
* Revised license pricing.
* Updated documentation.

NoteTab v4.951 (released: 19 October 2005)
--------------
* Updated documentation and Setup program.

NoteTab v4.95 (released: 22 May 2003)
-------------
* Added optional News feature to inform you of NoteTab updates and other Fookes Software news.
* Added Quiet option on Advanced tab in Options dialog box. Turns off most sounds when enabled.
* Updated Help file.
* Several minor glitches fixed and other improvements.

NoteTab v4.92 (released: 14 January 2003)
-------------
* Maintenance release (see changes under next main topic).

NoteTab v4.91 (released: 26 August 2002)
-------------
* Maintenance release (see changes under next main topic).

NoteTab v4.9 (released: 10 June 2002)
------------
* Seamless support for UltimaShell Autocompletion Server (UAS).
* New Help files; Clip code now in separate file.
* Supports both WinHelp and HTML Help.
* Supports extended File Open/Save dialogs under Win2000/ME/XP.
* Improved handling of browsers.
* Customizable menu shortcuts (NoteTab Pro and Std).
* Now compatible with NTFS 5 Summary Information Properties.
* Improved Browse Folder dialog box.
* New Clip commands and functions.
* See details of changes under next section.

NoteTab v4.86c (released: 10 December 2001)
--------------
* Supports Windows XP themes.
* Many minor improvements and bug fixes.
* New Setup program made through the Inno Setup package (http://www.jrsoftware.org/).
* See details of changes under next section.

NoteTab v4.85 (released: 09 May 2001)
-------------
* Maintenance release (see changes under next main topic).

NoteTab v4.84 (released: 09 February 2001)
-------------
* Improved the regular expressions engine.
* Added support in NoteTab Pro and Std for WordWeb.
* Added CSS1 library and Clipbar.
* Added Clip functions to encrypt/decrypt your text and files.
* Added Clip commands and functions performing ROT13, CRC32, MD5, and UUEncode/UUDecode operations.
* Minor improvements to the Clip language and bug fixes.
* See details of changes under next section.

NoteTab v4.83 (released: 26 October 2000)
-------------
* Now runs on Macs using Virtual PC.
* Minor improvements to the Clip language and bug fixes.
* See details of changes under next section.

NoteTab v4.82 (released: 12 May 2000)
-------------
* Powerful new engine for regular expressions.
* See details of changes under next section.

NoteTab v4.81 (released: 22 March 2000)
-------------
* Maintenance release (see changes under next main topic).

NoteTab v4.8 (released: 14 February 2000)
------------
* NoteTab now integrates with HTML Tidy, TopStyle, and CSE HTML Validator.
* Added Clipbars to NoteTab Pro and Std: a special type of toolbar with buttons that run Clips.
* NoteTab Light now supports the full Clip language.
* Added over 50 new commands and functions to the Clip language.
* Improved the HTML Clipbook libraries and added the HTML-1 and HTML-2 Clipbars.
* Option to generate HTML tags in uppercase, lowercase, or XHTML format.
* Menu command to convert selected HTML tags to uppercase, lowercase, or XHTML format.
* Added feature to enable previewing of Web pages, such as ASP and Cold Fusion, through a local Web server.
* NoteTab Pro can now open files larger than 16 MB.
* Supports .png images (image size for HTML image tags).
* Significantly improved performance of Perl, Gawk, and other related Clip commands.
* Improved support for WordStar commands.


______________________________________________________________________________
NoteTab is a registered trademark licensed to Fookes Software Ltd, Switzerland 
Copyright © 1995-2012, Fookes Holding Ltd, Switzerland - All Rights Reserved -

Fookes is a registered trademark of Fookes Holding Ltd.
Windows is a trademark of Microsoft Corporation registered in the U.S. and other countries.  
All other trademarks and service marks, both marked and not marked, are the property of their respective owners.
